Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.time.common
Interface ScheduledTriggerDef

Deprecated. As of WebLogic Server 7.0, replaced by `Timer`.

public interface ScheduledTriggerDef

ScheduledTriggerDef objects are returned by the factory method `TimeServicesDef.getScheduledTrigger()`, and represent a scheduler-trigger pair. The ScheduledTrigger does not begin execution until the ScheduledTriggerDef.schedule() method is called. At a later point, the ScheduledTrigger can be deactivated by calling its `cancel()` method, or by returning zero (0) from its `schedule()` method. The `schedule()`method returns a unique number that can be used as a key for the scheduled trigger.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `TimeServicesDef`

Method Summary
`boolean` | `cancel()` Deprecated. Deprecated in WebLogic Server 6.1
`boolean` | `isDaemon()` Deprecated. Deprecated in WebLogic Server 6.1
`int` | `schedule()` Deprecated. Deprecated in WebLogic Server 6.1
`void` | `setDaemon(boolean isDaemon)` Deprecated. Deprecated in WebLogic Server 6.1
`void` | `setDispatchPolicy(java.lang.String dispatchPolicy)` Deprecated. Deprecated in WebLogic Server 6.1

Method Detail

### schedule

    public int schedule()
                 throws TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1
  Begins (recurring) execution of the `schedule()`-`trigger()` cycle.

  Returns:
    Unique number that can be used as a key
  Throws:
    TimeTriggerException - if the cycle cannot be started

### cancel

    public boolean cancel()
                   throws TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1
  Ends (recurring) execution of the `schedule()`-`trigger()` cycle.

  Returns:
    true if the cycle is stopped
  Throws:
    TimeTriggerException - if the trigger cannot be cancelled

### setDaemon

    public void setDaemon(boolean isDaemon)
                   throws TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1
  If set to true, the trigger will continue executing after the client has disconnected. This is only valid for server-side triggers.

  Throws:
    TimeTriggerException - if the trigger has already been cancelled.

### setDispatchPolicy

    public void setDispatchPolicy(java.lang.String dispatchPolicy)

  Deprecated. Deprecated in WebLogic Server 6.1
  Set the thread dispatch policy in which this trigger will run. This is applicable only on the server side. Clients would use the default queue.

### isDaemon

    public boolean isDaemon()
                     throws TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1
  Returns true, if the trigger is set to continue executing after the client has disconnected. This is only valid for server-side triggers.

  Throws:
    TimeTriggerException - if the trigger has already been cancelled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD